Skip to main content
GET
Get NFTs By Collection

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

collection_address
string
required

The NFT collection contract address.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D"

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Query Parameters

sort_by
enum<string>
default:token

Sort order for results (e.g., latest, earliest). Values may vary.

Available options:
token,
latest,
earliest
limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 1000
cursor
string

Cursor for pagination to retrieve the next set of results.

Response

Successfully retrieved NFTs for the collection.

nfts
object[]
required
next_cursor
string
Example:

"ICJkYXNkYXMifQ=="